(function() {
tinymce.create('tinymce.plugins.xoogu_currency_conversion', {
    /**
     * Initializes the plugin, this will be executed after the plugin has been created.
     * This call is done before the editor instance has finished it's initialization so use the onInit event
     * of the editor instance to intercept that event.
     *
     * @param tinymce.Editor editor Editor instance that the plugin is initialized in.
     * @param string url Absolute URL to where the plugin is located.
     */
    "init" : function(editor, url) {
        
        editor.addCommand('xoogu_currency_conversion', function(ui, val) {
            editor.windowManager.open({
                "file":ajaxurl+'?action=mce_popup',
                "width":500,
                "height":450,
                "inline":1
            }, {"plugin_url":url});
        });
        
        //params - http://stackoverflow.com/questions/14399267/
        editor.addButton('xoogu_currency_conversion', {
            "title" : objectL10n.button_title,
            "cmd" : "xoogu_currency_conversion",
            "class" : "xccsh_mce_button"
        });
    },

    /**
     * Returns information about the plugin as a name/value array.
     * @return Object Name/value array containing information about the plugin.
     */
    getInfo : function() {
        return {
            "longname" : objectL10n.mce_plugin_longname,
            "author" : "xoogu.com",
            "authorurl" : "http://www.xoogu.com/",
            "infourl" : "http://www.xoogu.com/",
            "version" : 0.1
        };
    }
});

// Register plugin
tinymce.PluginManager.add( 'xoogu_currency_conversion', tinymce.plugins.xoogu_currency_conversion );
})();