<?php
/*
Plugin Name: Xoogu Currency Conversion
Plugin URI: http://www.xoogu.com/currency-conversion-wordpress-plugin/
Description: Allows you to use a shortcode in your posts and pages to convert from an amount in one currency to the equivalent amount in another currency. With GeoIP support the plugin can automatically convert an amount to the viewer's local currency.
Version: 1.2.0
Author: xoogu.com
Author URI: http://www.xoogu.com/
License: GPLv2 or later
Text Domain: xoogu-currency-conversion
*/




if ( !defined( 'ABSPATH' ) ){
	exit('Wordpress not loaded');
}
require_once(dirname(__FILE__).'/Xoogu_CurrencyConversion.php');
if(is_admin() || (defined('DOING_CRON') && DOING_CRON)){
	require_once(dirname(__FILE__).'/Xoogu_CurrencyConversion_Admin.php');
	$Xoogu_CurrencyConversion = new Xoogu_CurrencyConversion_Admin();
	//If an admin AJAX call, the current_screen action isn't called. So we need to duplicate code and load the MCE code if this is an AJAX request.
	if(defined('DOING_AJAX')){
		require_once(dirname(__FILE__).'/Xoogu_CurrencyConversion_Admin_MCE.php');
		$Xoogu_CurrencyConversion_Admin_MCE = new Xoogu_CurrencyConversion_Admin_MCE($Xoogu_CurrencyConversion);
	}
	//get_current_screen isn't available this early, so we need to hook into the current_screen action to determine if we're on an edit post / page screen
	add_action('current_screen', 'messy_global_function_check_if_edit_screen');
}else{
	$Xoogu_CurrencyConversion = new Xoogu_CurrencyConversion();
}

function messy_global_function_check_if_edit_screen($current_screen){
	if($current_screen->base == 'post'){
		global $Xoogu_CurrencyConversion;
		require_once(dirname(__FILE__).'/Xoogu_CurrencyConversion_Admin_MCE.php');
		$Xoogu_CurrencyConversion_Admin_MCE = new Xoogu_CurrencyConversion_Admin_MCE($Xoogu_CurrencyConversion);
	}
}